package de.bsvrz.vew.bmvew.bmvew.regel;

import de.bsvrz.dav.daf.main.ResultData;

/**
 * Das Interface stellt die Schnittstelle dar, welches die Klassen der 
 * Ausfuehr-Verhalten implementieren   
 *
 * @version $Revision: 1.1 $ / $Date: 2009/09/24 12:50:46 $ / ($Author: Pittner $)
 *
 * @author Dambach-Werke GmbH
 * @author Timo Pittner
 *
 */
public interface AktionAusfuehrVerhalten
{

  /**
   * Führt das entsprechende Verhalten aus
   * 
   * @param betriebsMeldung
   *          die Betriebsmeldung
   * @return
   *          true, wenn das Ausfuehren erfolgreich war
   */
  public boolean ausfuehrenAktion(ResultData betriebsMeldung);

}
