# SWE Betriebsmeldungsverwaltung


## Übersicht

Über diese SWE werden alle betrieblich relevanten Ereignisse des Systems (VRZ, UZ, …) verwaltet. Dazu werden sowohl die automatisch erzeugten Betriebsmeldungen (z. B. zu Fehlermeldungen entsprechend TLS, von SW-Einheiten generierte Meldungen etc.) als auch manuell generierte Meldungen (i.d.R. Eingabe über die Bedienung) sowie auf Basis von spezifischen Benutzervorgaben automatisch erzeugte Meldungen so verwaltet, dass u. a. folgende Funktionen möglich sind:

- Quittierung von Meldungen
- Wiedervorlage von Meldungen
- Zuordnung von Meldungen zu Meldungsgruppen
- Strukturierung und Sortierung der Meldungen nach unterschiedlichen Schlüsseln (BAB, Zeit, Zuständigkeit, Fehlerart, Meldungsgruppen etc.). Zuordnung von Detaildatensätzen zu Meldungen für Kommentare etc.
- Versand von Daten über E-Mail, SMS und Fax
- Parametrierung des Meldungsverhaltens

Zu einer Fehlermeldung (z.B. automatisch generierte Meldung) können über einen längeren Zeitraum immer wieder zusätzliche Meldungen automatisch oder manuell hinzukommen (z.B. Reparaturaufträge, durchgeführte Maßnahmen zur Behebung, Gutmeldung etc.). Um diesen Meldungszusammenhang zu verwalten, dient die Betriebsmeldungsverwaltung, welches die Meldungen zu einem Problem/Vorfall/Ereignis  zusammenführt, so dass die Historie zu diesem Ereignis nachvollziehbar und verwaltbar ist.

Betriebsmeldungen werden Klassen zugeordnet und können über definierbare Regeln abhängig von ihrem Inhalt Aktionen auslösen.

Die Funktion Betriebsmeldungsverwaltung stellt die zuvor beschriebenen Funktionen zur Verwaltung der Meldungen zur Verfügung.


## Disclaimer

Copyright (C) 2018 inovat - Dipl.-Ing. H. C. Kniß

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Dieses Programm ist Freie Software: Sie können es unter den Bedingungen
der GNU General Public License, wie von der Free Software Foundation,
Version 3 der Lizenz oder (nach Ihrer Wahl) jeder neueren
veröffentlichten Version, weiterverbreiten und/oder modifizieren.

Dieses Programm wird in der Hoffnung, dass es nützlich sein wird, aber
OHNE JEDE GEWÄHRLEISTUNG, bereitgestellt; sogar ohne die implizite
Gewährleistung der MARKTFÄHIGKEIT oder EIGNUNG FÜR EINEN BESTIMMTEN ZWECK.
Siehe die GNU General Public License für weitere Details.

Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
Programm erhalten haben. Wenn nicht, siehe <http://www.gnu.org/licenses/>.

## Kontakt
                                                                             
inovat, Dipl.-Ing. H. C. Kniss                                                                     
An der Krautwiese 37                                                                                     
D-53783 Eitorf                                                                                       
+49 (0)2243 8464 193                                                                                 
info@inovat.de                                                                                        
www.inovat.de
